package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.RegisterLegalTendency;
import com.lightinit.hsdatashow.entity.RegisterLegalTendencyExample;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.ChartModel;
import com.lightinit.hsdatashow.model.admin.ChartModel2;
import org.apache.ibatis.annotations.Param;

public interface RegisterLegalTendencyMapper {
    long countByExample(RegisterLegalTendencyExample example);

    int deleteByExample(RegisterLegalTendencyExample example);

    int deleteByPrimaryKey(Long id);

    int insert(RegisterLegalTendency record);

    int insertSelective(RegisterLegalTendency record);

    List<RegisterLegalTendency> selectByExample(RegisterLegalTendencyExample example);

    RegisterLegalTendency selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") RegisterLegalTendency record, @Param("example") RegisterLegalTendencyExample example);

    int updateByExample(@Param("record") RegisterLegalTendency record, @Param("example") RegisterLegalTendencyExample example);

    int updateByPrimaryKeySelective(RegisterLegalTendency record);

    int updateByPrimaryKey(RegisterLegalTendency record);

    List<ChartModel> getRegisterLegalTen();
}